Skala
Work order materials

Replace a work order material

Completely replaces the data of an existing work order material with the provided payload.

PUT
/api/work_order_materials/{id}

Completely replaces the data of an existing work order material with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

WorkOrderMaterial identifier

Request Body

application/json

The updated WorkOrderMaterial resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/work_order_materials/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "variant": "/entity/1",
  "notes": "string",
  "plannedQuantity": "string",
  "cost": "string",
  "status": "string",
  "expectedDate": "2019-08-24T14:15:22Z",
  "workOrder": "/entity/1",
  "totalQuantity": "string",
  "wastage": "string",
  "batches": [
    "/entity/1"
  ],
  "logs": [
    "/entity/1"
  ],
  "actualQuantity": "string",
  "serialNumbers": [
    "/entity/1"
  ],
  "materialUnitCost": "string",
  "consumedQuantity": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty